apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: disallow-remote-access-ingress-bad-1
  namespace: default
spec:
  podSelector: {}
  policyTypes:
    - Ingress
  ingress:
    - from:
        - ipBlock:
            cidr: 172.17.0.0/16
      ports:
        - protocol: TCP
          port: 22
---
apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: disallow-remote-access-ingress-bad-2
  namespace: default
spec:
  podSelector:
    matchLabels:
      role: db
  policyTypes:
    - Ingress
  ingress:
    - from:
        - ipBlock:
            cidr: 172.17.0.0/16
      ports:
        - protocol: TCP
          port: 23
---
apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: disallow-remote-access-ingress-bad-3
  namespace: default
spec:
  podSelector: {}
  policyTypes:
    - Ingress
  ingress:
    - from:
        - ipBlock:
            cidr: 172.17.0.0/16
      ports:
        - protocol: TCP
          port: 5900
---
apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: disallow-remote-access-ingress-bad-4
  namespace: default
spec:
  podSelector: {}
  policyTypes:
    - Ingress
  ingress:
    - from:
        - ipBlock:
            cidr: 172.17.0.0/16
      ports:
        - protocol: TCP
          port: 3389
---
apiVersion: networking.k8s.io/v1
kind: NetworkPolicy
metadata:
  name: disallow-remote-access-ingress-good
  namespace: default
spec:
  podSelector: {}
  policyTypes:
    - Ingress
  ingress:
    - from:
        - ipBlock:
            cidr: 172.17.0.0/16
      ports:
        - protocol: TCP
          port: 1337
